Package com.avaya.clientservices.call.feature

## Class CallPickupAlertParameters

- java.lang.Object
- - com.avaya.clientservices.call.feature.CallPickupAlertParameters

-     public class CallPickupAlertParameters
      extends java.lang.Object

  The Enhanced or Call Pickup alert details.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallPickupAlertParameters​(FeatureType featureType, java.lang.String pickupGroupName, FeatureStatus featureStatus, RingPattern pattern, RingType ringType)` | Constructs CallPickupAlertParameters object for the specified parameters.
    `CallPickupAlertParameters​(FeatureType featureType, java.lang.String pickupGroupName, FeatureStatus featureStatus, java.lang.String callingName, java.lang.String callingNum, java.lang.String calledName, java.lang.String calledNum, RingPattern pattern, RingType ringType, boolean enhancedPickupAlertOn, boolean pickupRingerOn)` | Constructs CallPickupAlertParameters object for the specified parameters.
    `CallPickupAlertParameters​(RingPattern pattern, RingType ringType)` | Constructs CallPickupAlertParameters object for the specified ring pattern and ring type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getCalledName()` |
    `java.lang.String` | `getCalledNum()` |
    `java.lang.String` | `getCallingName()` |
    `java.lang.String` | `getCallingNum()` |
    `FeatureStatus` | `getFeatureStatus()` |
    `FeatureType` | `getFeatureType()` |
    `java.lang.String` | `getPickupGroupName()` |
    `RingPattern` | `getPickupRingPattern()` | Returns the enhanced call pickup ring pattern if configured.
    `RingType` | `getPickupRingType()` | Returns the enhanced call pickup ring types if configured.
    `int` | `hashCode()` |
    `boolean` | `isEnhancedPickupAlertOn()` |
    `boolean` | `isPickupRingerOn()` | Indicates whether the pickup ringer status is On or not.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CallPickupAlertParameters

          public CallPickupAlertParameters​(RingPattern pattern,
                                           RingType ringType)

      Constructs CallPickupAlertParameters object for the specified ring pattern and ring type.
      Parameters:
        `pattern` - The ring pattern.
        `ringType` - The ring type.

    - #### CallPickupAlertParameters

          public CallPickupAlertParameters​(FeatureType featureType,
                                           java.lang.String pickupGroupName,
                                           FeatureStatus featureStatus,
                                           RingPattern pattern,
                                           RingType ringType)

      Constructs CallPickupAlertParameters object for the specified parameters.
      Parameters:
        `featureType` - The feature type.
        `pickupGroupName` - The pickup group name.
        `featureStatus` - The feature status.
        `pattern` - The ring pattern.
        `ringType` - The ring type.

    - #### CallPickupAlertParameters

          public CallPickupAlertParameters​(FeatureType featureType,
                                           java.lang.String pickupGroupName,
                                           FeatureStatus featureStatus,
                                           java.lang.String callingName,
                                           java.lang.String callingNum,
                                           java.lang.String calledName,
                                           java.lang.String calledNum,
                                           RingPattern pattern,
                                           RingType ringType,
                                           boolean enhancedPickupAlertOn,
                                           boolean pickupRingerOn)

      Constructs CallPickupAlertParameters object for the specified parameters.
      Parameters:
        `featureType` - The feature type.
        `pickupGroupName` - The pickup group name.
        `featureStatus` - The feature status.
        `callingName` - The caller name.
        `callingNum` - The caller number.
        `calledName` - The callee name.
        `calledNum` - The callee number.
        `pattern` - The ring pattern.
        `ringType` - The ring type.
        `enhancedPickupAlertOn` - True for enhance pickup alert ON else false.
        `pickupRingerOn` - True for pickup ringer ON else false.

  - ### Method Detail

    - #### getFeatureType

          public FeatureType getFeatureType()

      Returns:
        The Feature types associated with the group, directed or extended call pickup alerts..

    - #### getPickupGroupName

          public java.lang.String getPickupGroupName()

      Returns:
        The pickup group for which the alert is received.

    - #### getFeatureStatus

          public FeatureStatus getFeatureStatus()

      Returns:
        The status of the feature (on or off).

    - #### isEnhancedPickupAlertOn

          public boolean isEnhancedPickupAlertOn()

      Returns:
        the enhanced call pickup alert status. true if status is ON otherwise false.

    - #### getCallingName

          public java.lang.String getCallingName()

      Returns:
        The person's name who has initiated the call.

    - #### getCallingNum

          public java.lang.String getCallingNum()

      Returns:
        The person's number who has initiated the call.

    - #### getCalledName

          public java.lang.String getCalledName()

      Returns:
        The person's name to whom the call is requested.

    - #### getCalledNum

          public java.lang.String getCalledNum()

      Returns:
        The person's number to whom the call is requested.

    - #### getPickupRingPattern

          public RingPattern getPickupRingPattern()

      Returns the enhanced call pickup ring pattern if configured.
      Returns:
        the enhanced call pickup ring pattern if configured.

    - #### getPickupRingType

          public RingType getPickupRingType()

      Returns the enhanced call pickup ring types if configured.
      Returns:
        the enhanced call pickup ring types if configured.

    - #### isPickupRingerOn

          public boolean isPickupRingerOn()

      Indicates whether the pickup ringer status is On or not.
      Returns:
        True if the pickup ringer status is On.

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`